# Account Corporate Users

An account can include corporate users that belong to the account’s domain names. To create multiple users, first download the example file, update it, and then upload it.

### Download example file

Use this endpoint to download an example XLSX file with all available roles, permissions, and mailboxes for the account.

| Endpoint         |                                               |
| ---------------- | --------------------------------------------- |
| Method           | GET                                           |
| Request URL      | `/api/v1/account/{accountUuid}/users/example` |
| **Headers**      |                                               |
| Authorization \* | Bearer TOKEN                                  |
| **Request**      |                                               |
| accountUuid \*   | Target account UUID                           |

### Mass create users

Use this endpoint to upload an XLSX file and create users with permissions. The endpoint returns `200` if the request succeeds.

| Endpoint         |                                       |
| ---------------- | ------------------------------------- |
| Method           | POST                                  |
| Request URL      | `/api/v1/account/{accountUuid}/users` |
| **Headers**      |                                       |
| Authorization \* | Bearer TOKEN                          |
| Content-Type \*  | multipart/form-data                   |
| **Request**      |                                       |
| accountUuid \*   | Target account UUID                   |
| Body \*          | XLSX binary                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-corporate-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
